if ( "$TERM" != "dumb" ) then

  # Everything in file ~/.fortune will be interpreted as command
  # parameters for fortune. Default is cs (czech texts).
  # To disable fortune, create ~/.fortune with single word `none'.

  setenv FORTUNE cs
  [ -r ~/.fortune ] && setenv FORTUNE "`cat ~/.fortune`"

  if ( "$FORTUNE" != "none"  && \
       -x /usr/games/fortune && \
       -x /usr/bin/tty ) then
    tty | grep -q not > /dev/null
    if ($status == 1) then
      echo
      /usr/games/fortune $FORTUNE
      echo
    endif
  endif
  unsetenv FORTUNE
endif
